org.eclipse.jetty.util

## Class MultiPartWriter

- java.lang.Object
- - java.io.Writer
  - - java.io.FilterWriter
    - - org.eclipse.jetty.util.MultiPartWriter

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

      public class MultiPartWriter
      extends java.io.FilterWriter

  Handle a multipart MIME response.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MULTIPART_MIXED`
    `static java.lang.String` | `MULTIPART_X_MIXED_REPLACE`

    - ### Fields inherited from class java.io.FilterWriter

      `out`

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiPartWriter(java.io.Writer out)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` End the current part.
    `void` | `endPart()` end creation of the next Content.
    `java.lang.String` | `getBoundary()`
    `void` | `startPart(java.lang.String contentType)` Start creation of the next Content.
    `void` | `startPart(java.lang.String contentType, java.lang.String[] headers)` Start creation of the next Content.

    - ### Methods inherited from class java.io.FilterWriter

      `flush, write, write, write`

    - ### Methods inherited from class java.io.Writer

      `append, append, append, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MULTIPART_MIXED

          public static java.lang.String MULTIPART_MIXED

    - #### MULTIPART_X_MIXED_REPLACE

          public static java.lang.String MULTIPART_X_MIXED_REPLACE

  - ### Constructor Detail

    - #### MultiPartWriter

          public MultiPartWriter(java.io.Writer out)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### close

          public void close()
                     throws java.io.IOException

      End the current part.
      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.FilterWriter`
      Throws:
        `java.io.IOException` - IOException

    - #### getBoundary

          public java.lang.String getBoundary()

    - #### startPart

          public void startPart(java.lang.String contentType)
                         throws java.io.IOException

      Start creation of the next Content.
      Throws:
        `java.io.IOException`

    - #### endPart

          public void endPart()
                       throws java.io.IOException

      end creation of the next Content.
      Throws:
        `java.io.IOException`

    - #### startPart

          public void startPart(java.lang.String contentType,
                       java.lang.String[] headers)
                         throws java.io.IOException

      Start creation of the next Content.
      Throws:
        `java.io.IOException`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.